import { AxiosInstance, AxiosRequestConfig } from "axios";
import { ApiRequest, ApiResponse, GetConfigInfoResponse, GetDeviceListRequest, GetParkingNodeRequest, GetParkingNodeResponse, AddCarCardNoRequest, GetCarCardInfoRequest, GetCarCardInfoResponse, ModifyCarCardNoRequest, DelCarCardInfoRequest, PayCarCardFeeRequest, RefundCarCardFeeRequest, AuditCardRechargeRequest, RechargeInvoiceRequest, ModifyCardStatusRequest, ReserveSpaceRequest, ReserveSpaceChangeTimeRequest, CancelReserveSpaceRequest, GetReservableInfoRequest, GetParkingPaymentInfoRequest, PayParkingFeeRequest, SyncChargePilePayRequest, UnlicensedCarInoutRequest, SigningRequest, GetFeeDetailReq, QueryCarInfoRequest, GetFreeSpaceNumRequest, GetFreeSpaceNumResponse, GetDeviceStatusRequest, GetCarInfoByNodeIdRequest, GetNodeCarInfoRequest, RemoteOpenRequest, ModifyCarInfoRequest, AddVirtualTrafficRequest, RecaptureRequest, AddCarBlackInfoRequest, DelCarBlackInfoRequest, QueryCarBlackInfoRequest, LockCarplateRequest, UnlockCarplateRequest, QueryCurrentUserRequest, QueryCurrentUserResponse, QueryRecordByIdRequest, QueryRecordByIdResponse, GetMyBaseInfoRequest, GetMyBaseInfoReponse, FindLotRolesRequest, FindLotRolesResponse, FindListByLotIdPageRequest, FindListByLotIdPageResponse, SaveLogRequest, Recharge3rdByUnityRequest, QueryLotMer4UnityRequest, CarLeaveRequest, PushServiceDateRequest, ModifyValidTimeRequest, ReqBookingRefund, ReStatisticsRequest, ChannelSendReuqst } from "./Dto";
export declare type Options = {
    /**
     * 接口根地址
     */
    url: string;
    appId: string;
    appSecret: string;
    /**
     * 接口版本号，默认1.0.0
     */
    version?: string;
    /**
     * 语种，默认zh-CN
     */
    lang?: string;
    /**
     * 超时时间(毫秒)，默认20秒
     */
    timeout?: number;
};
/**
 * 统一接口客户端
 */
export declare class ApiClient {
    readonly axiosInstance: AxiosInstance;
    constructor(opts: Options);
    post<T = any, D = ApiRequest>(url: string, data?: D, config?: AxiosRequestConfig & {
        /**
         * api描述，仅为记录日志
         */
        apiDesc?: string;
    }): Promise<ApiResponse<T>>;
    /**
     * 2.0.1 获取平台配置信息
     */
    getConfigInfo(): Promise<GetConfigInfoResponse>;
    /**
     * SQL通道-list
     * @param sql
     * @param parkId
     * @param timeout 超时时间(毫秒)
     * @returns
     */
    list<T = any>(sql: string, parkId: number | string, opts?: {
        timeout?: number;
    }): Promise<T[]>;
    /**
     * SQL通道-selectOne
     * @param sql
     * @param parkId
     * @param timeout 超时时间(毫秒)，默认20秒
     * @returns
     */
    selectOne<T = any>(sql: string, parkId: number | string, opts?: {
        timeout?: number;
    }): Promise<T>;
    /**
     * SQL通道-execute
     */
    /**
     * SQL通道-execute
     */
    execute(sql: string | string[], parkId: number | string, opts?: {
        openTx?: 1 | 0;
        timeout?: number;
    }): Promise<ApiResponse<any>>;
    /**
     * 2.1.1获取停车场列表
     */
    getParkingLotList(request: {
        pageIndex: any;
        pageSize: any;
    }): Promise<{
        pageIndex: any;
        pageSize: any;
        totalCount: number;
        parkingList: any;
    }>;
    /**
     * 2.1.2停车场信息查询接口
     */
    getParkingLotInfo(request: {
        /**
         * 车场id
         */
        parkId: any;
    }): Promise<{
        /**
         * 车场id
         */
        parkId: any;
        /**
         * 车场名称
         */
        parkName: string;
        /**
         * 总车位数
         */
        totalSpaceNum: number;
    }>;
    /**
     * 2.1.3车场终端设备查询接口
     * 获取车场终端设备信息列表
     */
    getDeviceList(request?: GetDeviceListRequest): Promise<{
        deviceList: {
            /**
             * 设备编码（此设备编号为设备的id（数据库主键））
             */
            deviceCode: string;
            /**
             * 设备Ip
             */
            deviceIp: string;
            /**
             * 设备名称
             */
            deviceName: string;
            /**
             * 设备类型 详见参数枚举1.6.6
             */
            deviceType: number;
        }[];
    }>;
    /**
     * 2.1.5通道信息
     * 获取通道信息
     */
    getParkingNode(request: GetParkingNodeRequest): Promise<GetParkingNodeResponse>;
    /**
     * 2.1.6停车场信息查询扩展接口
     */
    getParkingLotInfoExt(request: {
        parkId: any;
    }): Promise<{
        parkId: any;
        parkName: string;
        totalSpaceNum: number;
        limitL: number;
        limitW: number;
        limitH: number;
        lon: string;
        lat: string;
        addr: string;
        tel: string;
        imgUrl: string;
        workTime: string;
        payRule: string;
        province: string;
        city: string;
        area: string;
    }>;
    /**
     * 2.2.1固定车新增接口
     */
    addCarCardNo(request: AddCarCardNoRequest): Promise<ApiResponse<string>>;
    /**
     * 2.2.2固定车查询接口
     */
    getCarCardInfo(request: GetCarCardInfoRequest): Promise<GetCarCardInfoResponse>;
    /**
     * 2.2.3固定车修改接口
     */
    modifyCarCardNo(request: ModifyCarCardNoRequest): Promise<ApiResponse<any>>;
    /**
     * 2.2.4固定车删除接口
     */
    delCarCardInfo(request: DelCarCardInfoRequest): Promise<ApiResponse<any>>;
    /**
     * 2.2.6固定车充值接口
     */
    payCarCardFee(request: PayCarCardFeeRequest): Promise<ApiResponse<any>>;
    /**
    * 2.2.7 获取图片存储根地址
    */
    getImageBaseUrl(request: {
        parkId: any;
        serviceCode?: 'GetImageBaseUrl';
    }): Promise<ApiResponse<ApiResponse<any>>>;
    getCarCardChargeList(request: any): Promise<any>;
    /**
     * 2.2.9固定车退款接口
     */
    refundCarCardFee(request: RefundCarCardFeeRequest): Promise<ApiResponse<any>>;
    /**
     * 2.2.10固定车审核
     */
    auditCardRecharge(request: AuditCardRechargeRequest): Promise<ApiResponse<any>>;
    /**
     * 2.2.11固定车充值开票
     */
    rechargeInvoice(request: RechargeInvoiceRequest): Promise<ApiResponse<any>>;
    /**
     * 2.2.12内部车注销恢复
     */
    modifyCardStatus(request: ModifyCardStatusRequest): Promise<ApiResponse<any>>;
    /**
     * 2.3.1查询进出记录
     */
    getCarInoutInfo(request: {
        parkId: any;
        plateNo?: string;
        cardNo?: string;
        pageIndex: number;
        pageSize: number;
        startTime?: string;
        endTime?: string;
        capFlag?: number;
        passType?: number;
    }): Promise<{
        totalCount: number;
        detailList: any;
    }>;
    /**
     * 2.3.2查询缴费记录
     */
    getParkingPaymentList(request: {
        parkId: any;
        plateNo?: string;
        cardNo?: string;
        inTime?: string;
        outTime?: string;
        pageIndex: number;
        pageSize: number;
        startTime?: string;
        endTime?: string;
        payMethod?: number;
    }): Promise<{
        totalCount: number;
        plateList: any;
    }>;
    /**
     * 2.3.4获取缴费记录上报所需要的数据
     */
    getUploadPayList(request: {
        parkId: any;
        /**
         * 支付ID，收费系统6.0不支持此参数
         */
        payDetailId?: string;
        syncBeginTime: string;
        syncEndTime: string;
    }): Promise<{
        payList: any;
    }>;
    /**
     * 2.4.1用户车位预订
     *
     * 返回的是json字符串，需要手动转对象
     */
    reserveSpace(request: ReserveSpaceRequest): Promise<ApiResponse<string>>;
    /**
     * 2.4.2修改预约车有效期
     */
    reserveSpace_ChangeTime(request: ReserveSpaceChangeTimeRequest): Promise<ApiResponse<any>>;
    /**
     * 2.4.3车位预订取消接口
     */
    cancelReserveSpace(request: CancelReserveSpaceRequest): Promise<ApiResponse<any>>;
    /**
     * 2.4.4预订车位查询接口
     */
    getReservableInfo(request: GetReservableInfoRequest): Promise<ApiResponse<any>>;
    /**
       * 2.4.6 在场车辆清理
       */
    carLeave(request: CarLeaveRequest): Promise<ApiResponse<any>>;
    /**
   * 2.4.9 下发服务时间
   */
    pushServiceDate(request: PushServiceDateRequest): Promise<ApiResponse<any>>;
    /**
       * 2.4.12 出口识别车牌修改
       */
    carInModify(request: {
        parkId: any;
        nodeId: any;
        serial: any;
        carStyle: '';
        carNo: any;
        carNo2?: any;
        carNoColor?: any;
        imgName?: any;
        userId?: any;
        serviceCode: 'CarInModify';
    }): Promise<ApiResponse<any>>;
    /**
       * 2.4.12 出口识别车牌修改
       */
    carOutModify(request: {
        parkId: any;
        nodeId: any;
        deviceIp?: string;
        serial: any;
        carStyle?: any;
        carNo?: any;
        carNo2?: any;
        carNoColor?: any;
        carBrand?: any;
        imgName?: any;
        operName?: any;
        recogEnable?: any;
        carOutTime?: any;
        /**
         * 修改项 0-车牌 1-车型  2-车牌颜色 3-车辆品来
         */
        modifyItem: number;
        serviceCode: 'CarOutModify';
    }): Promise<ApiResponse<any>>;
    /**
     * 2.5.1账单查询/费用查询
     *
     * data是json字符串(如果有值),需要进行转换GetParkingPaymentInfoRequest
     */
    getParkingPaymentInfo(request: GetParkingPaymentInfoRequest): Promise<ApiResponse<any>>;
    /**
     * 2.5.2停车费支付
     */
    payParkingFee(request: PayParkingFeeRequest): Promise<ApiResponse<any>>;
    /**
     * 2.5.3查询订单状态
     */
    getOrderStatus(request: {
        parkId: any;
        orderNo: string;
    }): Promise<ApiResponse<any>>;
    /**
     * 2.5.4充电桩抵扣
     */
    syncChargePilePay(request: SyncChargePilePayRequest): Promise<ApiResponse<ApiResponse<any>>>;
    /**
     * 2.5.5无牌车扫出入口二维码进出场
     */
    unlicensedCarInout(request: UnlicensedCarInoutRequest): Promise<ApiResponse<any>>;
    /**
     * 2.5.6车辆无感支付签约变更通知接口
     */
    signing(request: SigningRequest): Promise<ApiResponse<string>>;
    getInvoiceData(request: {
        parkId: any;
        plateNo?: string;
        cardNo?: string;
        beginTime: string;
        endTime: string;
    }): Promise<ApiResponse<any>>;
    syncInvoiceInfo(request: {
        parkId: any;
        plateNo?: string;
        cardNo?: string;
        invoiceNo: string;
        invoiceTime: string;
        invoiceStatus: number;
        totalMoney: number;
        /**
         * 数组字符串
         * type:number;//0：结算表纪录，1：提前缴费记录（5.x）
         * billId:string;
         */
        payList: any;
    }): Promise<ApiResponse<ApiResponse<any>>>;
    cancelInvoice(request: {
        parkId: any;
        invoiceNo: string;
    }): Promise<ApiResponse<any>>;
    syncRefundState(request: {
        parkId: any;
        orderNo: string;
        refundNo: string;
        refundType: any;
        state: any;
        remark: string;
        refundTime: string;
        refundMerchantNo?: string;
        merchantNo?: string;
    }): Promise<ApiResponse<any>>;
    syncRefundAudit(request: {
        parkId: any;
        refundNo: string;
        auditState: any;
        auditName: string;
        auditTime: string;
        remark: string;
    }): Promise<ApiResponse<any>>;
    /**
     * 2.5.17 获取计费详情GetFeeDetailRes
     */
    getFeeDetail(request: GetFeeDetailReq): Promise<ApiResponse<string>>;
    /**
     * 2.6.1在场车辆查询
     */
    queryCarInfo(request: QueryCarInfoRequest): Promise<any>;
    /**
     * 2.6.2剩余车位查询GetFreeSpaceNumResponse
     */
    getFreeSpaceNum(request: GetFreeSpaceNumRequest): Promise<GetFreeSpaceNumResponse>;
    /**
     * 2.6.3设备状态查询GetDeviceStatusRequest
     */
    getDeviceStatus(request?: GetDeviceStatusRequest): Promise<string>;
    /**
     * 2.6.4根据通道获取当前车辆GetCarInfoByNodeIdRequest
     */
    getCarInfoByNodeId(request?: GetCarInfoByNodeIdRequest): Promise<ApiResponse<string>>;
    /**
     * 2.6.6获取车辆图片信息
     */
    getParkingImg(request: {
        parkId: any;
        imgName: string;
        type: number;
    }): Promise<{
        imgUrl: string;
    }>;
    /**
     * 2.6.9查询车辆当前所在车场
     */
    getCarLocatePartId(request: {
        plateNo: string;
    }): Promise<{
        parkId: any;
    }>;
    /**
     * 2.6.10区域剩余车位查询
     */
    getAreaFreeSpaceNum(request: {
        parkId: any;
    }): Promise<{
        areaInfo: any;
    }>;
    /**
     * 2.6.16根据通道获取当前车辆(地感车辆信息)
     */
    getNodeCarInfo(request: GetNodeCarInfoRequest): Promise<{
        carPlateNum: string;
        capTime: string;
        serial: string;
        imgName: string;
        carNoColor: string;
    }>;
    /**
     * 2.7.1空闲车位修改
     */
    modifyFreeSpace(request: {
        parkId: any;
        areaCode?: any;
        freeSpaceNum: number;
    }): Promise<ApiResponse<any>>;
    /**
     * 2.7.2道闸控制
     */
    gateControl(request: {
        parkId: any;
        nodeId: any;
        type: any;
    }): Promise<ApiResponse<any>>;
    /**
     * 2.7.3显示屏推送
     */
    pushScreenMsg(request: {
        parkId: any;
        deviceType: any;
        deviceCode: any;
        showInfo: string;
    }): Promise<ApiResponse<any>>;
    /**
     * 2.7.4车牌修改
     */
    modifyCarNo(request: {
        parkId: any;
        oldplateNo: string;
        plateNo: string;
    }): Promise<ApiResponse<ApiResponse<any>>>;
    /**
     * 2.7.5远程开闸
     */
    remoteOpen(request: RemoteOpenRequest): Promise<ApiResponse<any>>;
    /**
     * 2.7.6修改场内车数据
     */
    modifyCarInfo(request: ModifyCarInfoRequest): Promise<ApiResponse<any>>;
    /**
     * 2.7.11显示屏推送扩展接口（LED全彩屏)
     */
    pushLedScreenMsg(request: {
        parkId: any;
        deviceType: any;
        deviceCode: any;
        msgInfo: string;
    }): Promise<ApiResponse<any>>;
    /**
     * 2.7.12显示屏推送扩展接口（LCD）
     */
    pushLcdScreenMsg(request: {
        parkId: any;
        deviceType: any;
        deviceCode: any;
        scene: number;
        msgInfo: string;
    }): Promise<ApiResponse<any>>;
    /**
     * 2.7.13显示屏推送扩展接口（LED单红屏）
     */
    pushSrsScreenMsg(request: {
        parkId: any;
        deviceType: any;
        deviceCode: any;
        msgMode?: number;
        msgInfo: string;
    }): Promise<ApiResponse<any>>;
    /**
     * 2.7.14显示屏推送扩展接口（LED单红屏-剩余车位）
     */
    pushSrsScreenLotMsg(request: {
        parkId: any;
        deviceType: any;
        deviceCode: any;
        freeLots: string;
    }): Promise<ApiResponse<any>>;
    /**
     * 2.7.15新增虚拟进出场
     */
    addVirtualTraffic(request: AddVirtualTrafficRequest): Promise<ApiResponse<any>>;
    /**
     * 2.7.16进出场重新抓拍接口
     */
    recapture(request: RecaptureRequest): Promise<ApiResponse<any>>;
    /**
     * 2.8.1新增黑名单车牌信息
     */
    addCarBlackInfo(request: AddCarBlackInfoRequest): Promise<ApiResponse<any>>;
    /**
     * 2.8.2修改黑名单车牌信息AddCarBlackInfoRequest
     */
    modifyCarBlackInfo(request: AddCarBlackInfoRequest): Promise<ApiResponse<any>>;
    /**
     * 2.8.3删除黑名单车牌信息
     */
    delCarBlackInfo(request: DelCarBlackInfoRequest): Promise<ApiResponse<any>>;
    /**
     * 2.8.4查询黑名单列表
     */
    queryCarBlackInfo(request: QueryCarBlackInfoRequest): Promise<any>;
    /**
     * 2.9.1锁车接口
     */
    lockCarplate(request: LockCarplateRequest): Promise<ApiResponse<any>>;
    /**
     * 2.9.2解锁接口
     */
    unlockCarplate(request: UnlockCarplateRequest): Promise<ApiResponse<any>>;
    /**
     * 统一找车接口
     */
    getFloorList(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    getAreaList(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    getCarLocInfo(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    getSpaceInfo(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    getCarRoute(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    getFindCarFreeSpaceNum(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    GetCarImageUrl(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    getNodeDeviceStatus(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    getSingleNodeDeviceStatus(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    updateLightScheme(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    updateParkType(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    updateParkStatusBatch(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    getParkListByPlateNo(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    parkCameraSnapPicture(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    listInOutCarInfo(request: any): Promise<ApiResponse<string>>;
    /**
     * 统一找车接口
     */
    getPlateRecognitionRecord(request: any): Promise<ApiResponse<string>>;
    /**
     * 2.10.9车位图片URL接口
     */
    getCarImageUrl(request: any): Promise<ApiResponse<string>>;
    /**
     * 科拓统一对外接口协议（速停车相关接口仅针对国内）
     * 2.12.1预下单接口
     */
    prepay(request: any): Promise<ApiResponse<any>>;
    /**
     * 科拓统一对外接口协议（速停车相关接口仅针对国内）
     * 2.12.2根据ttpOrderNo订单号查询订单状态
     */
    queryPrepayOrder(request: any): Promise<ApiResponse<any>>;
    /**
     * 科拓统一对外接口协议（速停车相关接口仅针对国内）
     * 2.12.3充值预下单接口
     */
    rechargePrepay(request: any): Promise<ApiResponse<any>>;
    /**
     * 科拓统一对外接口协议（速停车相关接口仅针对国内）
     * 2.12.4查询充值订单状态
     */
    queryRechargePrepayOrder(request: any): Promise<ApiResponse<any>>;
    /**
     * 科拓统一对外接口协议（速停车相关接口仅针对国内）
     * 2.12.5第三方应用获取临时访问令牌
     */
    getTicket(request: any): Promise<ApiResponse<any>>;
    /**
     * 科拓统一对外接口协议（速停车相关接口仅针对国内）
     * 2.12.6第三方发放优惠券
     */
    grantCoupon(request: any): Promise<ApiResponse<any>>;
    /**
     * 科拓统一对外接口协议（速停车相关接口仅针对国内）
     * 2.12.7第三方查询优惠券
     */
    queryCoupon(request: any): Promise<ApiResponse<any>>;
    /**
     * 科拓统一对外接口协议（速停车相关接口仅针对国内）
     * 2.12.8临停订单退款接口
     */
    orderRefund(request: any): Promise<ApiResponse<any>>;
    /**
     * 科拓统一对外接口协议（速停车相关接口仅针对国内）
     * 2.12.9临停订单退款查询接口
     */
    orderRefundQuery(request: any): Promise<ApiResponse<any>>;
    getCardInfoByUser(request: {
        parkId: any;
        plateNo: string;
    }): Promise<ApiResponse<any>>;
    getRechargeRuleByUser(request: {
        parkId: any;
        cardId: number;
        cardType: number;
    }): Promise<ApiResponse<any>>;
    getRechargePreDataByUser(request: {
        parkId: any;
        plateNo?: string;
        cardId: number;
        cardType: number;
        rechargeNumber: number;
        rechargeUnit: number;
        ruleId: number;
        deviceTypeId?: number;
        deviceIp?: string;
    }): Promise<ApiResponse<any>>;
    rechargeByUser(request: any): Promise<ApiResponse<any>>;
    getCardInfoFromCardNoByUser(request: {
        parkId: any;
        cardNo: string;
    }): Promise<ApiResponse<any>>;
    addByUser(request: any): Promise<ApiResponse<any>>;
    getCardConfigList(request: {
        parkId: any;
    }): Promise<ApiResponse<any>>;
    getPreOrderCache(request: {
        parkId: any;
        orderNo: string;
    }): Promise<ApiResponse<any>>;
    /**
     * 2.14.9获取当前用户信息
     */
    queryCurrentUser(token: string, request?: QueryCurrentUserRequest): Promise<QueryCurrentUserResponse>;
    /**
     * 2.14.12 根据抵扣劵号查询抵扣明细
     */
    queryRecordById(request: QueryRecordByIdRequest): Promise<QueryRecordByIdResponse>;
    queryAllLotCoupon4Unity(request: any): Promise<any>;
    /**
     * 2.15.10获取用户信息
     */
    getMyBaseInfo(request: GetMyBaseInfoRequest, token: string): Promise<GetMyBaseInfoReponse>;
    /**
     * 2.15.4停车场与角色关系查询
     */
    findLotRoles(request: FindLotRolesRequest): Promise<FindLotRolesResponse>;
    /**
     * 2.15.8停车场与用户关系查询
     */
    findListByLotIdPage(request: FindListByLotIdPageRequest): Promise<FindListByLotIdPageResponse>;
    /**
     * 2.15.12 外部系统日志保存
     */
    saveLog(request: SaveLogRequest): Promise<ApiResponse<any>>;
    /**
     * 第三方充值抵扣券
     */
    recharge3rdByUnity(request: Recharge3rdByUnityRequest): Promise<ApiResponse<any>>;
    /**
     * 查看车场商户信息
     */
    queryLotMer4Unity(request: QueryLotMer4UnityRequest): Promise<[]>;
    /**
       * 2.5.4 内部车修改有效期
       */
    modifyValidTime(request: ModifyValidTimeRequest): Promise<ApiResponse<any>>;
    /**
    * 2.11.1 预约车退款状态回调
    */
    parkingBookingRefundCallback(request: ReqBookingRefund): Promise<ApiResponse<any>>;
    /**
     * 2.13.2 重新统计汇总报表
     */
    reStatistics(request: ReStatisticsRequest): Promise<ApiResponse<any>>;
    /**
     * SAAS统一接口协议-2.16.1系统公告推送
     */
    addSysNotice(request: {
        parkId: any;
        serviceCode: 'addSysNotice';
        allRole: string;
        classId: string;
        content: string;
        enabledTimeStart: string;
        enabledTimeEnd: string;
        lotIds: any;
        lotVersion: string;
        sendStatus: any;
        spLot: string;
        title: string;
    }): Promise<ApiResponse<string>>;
    /**
     * SAAS统一接口协议-停车场云助手app模板消息发送
     */
    messageSend(request: {
        parkId: any;
        serviceCode: 'saasMessageSend';
        templateId: string;
        parmMap: any;
        appLinkUrl?: string;
        pcLinkUrl?: string;
    }): Promise<ApiResponse<string>>;
    /**
     * MQ透传接口
     */
    msgToLocal(request: any, config: AxiosRequestConfig): Promise<ApiResponse<string>>;
    /**
     * 3.1
     * 通道接口
     * 这是一个大类接口，子接口见ChannelApi
     */
    channelSend(request: ChannelSendReuqst): Promise<ApiResponse<any>>;
}
